export const dateTime = {
  label: 'Date / Time',
  labelPosition: 'top',
  labelWidth: '',
  labelMargin: '',
  displayInTimezone: 'viewer',
  useLocaleSettings: false,
  allowInput: true,
  format: 'yyyy-MM-dd hh:mm a',
  placeholder: '',
  description: '',
  tooltip: '',
  customClass: '',
  tabindex: '',
  hidden: false,
  hideLabel: false,
  autofocus: false,
  disabled: false,
  tableView: false,
  modalEdit: false,
  shortcutButtons: [],
  enableDate: true,
  enableMinDateInput: false,
  datePicker: {
    minDate: null,
    maxDate: null,
    disable: '',
    disableFunction: '',
    disableWeekends: false,
    disableWeekdays: false,
    showWeeks: true,
    startingDay: 0,
    initDate: '',
    minMode: 'day',
    maxMode: 'year',
    yearRows: 4,
    yearColumns: 5
  },
  enableMaxDateInput: false,
  enableTime: true,
  timePicker: {
    hourStep: 1,
    minuteStep: 1,
    showMeridian: true,
    readonlyInput: false,
    mousewheel: true,
    arrowkeys: true
  },
  multiple: false,
  defaultValue: '',
  defaultDate: '',
  customOptions: {},
  persistent: true,
  protected: false,
  dbIndex: false,
  encrypted: false,
  redrawOn: '',
  clearOnHide: true,
  customDefaultValue: '',
  calculateValue: '',
  calculateServer: false,
  allowCalculateOverride: false,
  validateOn: 'change',
  validate: {
    required: false,
    customMessage: '',
    custom: '',
    customPrivate: false,
    json: '',
    strictDateValidation: true,
    multiple: false,
    unique: false
  },
  errorLabel: '',
  errors: '',
  key: 'datetime',
  tags: [],
  properties: {},
  conditional: {
    show: null,
    when: null,
    eq: '',
    json: ''
  },
  customConditional: '',
  logic: [],
  attributes: {},
  overlay: {
    style: '',
    page: '',
    left: '',
    top: '',
    width: '',
    height: ''
  },
  type: 'datetime',
  timezone: '',
  input: true,
  prefix: '',
  suffix: '',
  unique: false,
  refreshOn: '',
  dataGridLabel: false,
  widget: {
    type: 'calendar',
    displayInTimezone: 'viewer',
    locale: 'nl',
    useLocaleSettings: false,
    allowInput: true,
    mode: 'single',
    enableTime: true,
    noCalendar: false,
    format: 'yyyy-MM-dd hh:mm a',
    hourIncrement: 1,
    minuteIncrement: 1,
    // eslint-disable-next-line camelcase
    time_24hr: false,
    minDate: null,
    disabledDates: '',
    disableWeekends: false,
    disableWeekdays: false,
    disableFunction: '',
    maxDate: null
  },
  showCharCount: false,
  showWordCount: false,
  allowMultipleMasks: false,
  addons: [],
  datepickerMode: 'day',
  id: 'ex4fgcv'
}